# fc.fc_host.query

Sent on fc.fc_host changes.

Type: object

##

#### FCHostAddedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### FCHostEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

Unique identifier for the Fibre Channel host configuration.

##

#### Alias

Type: string

Human-readable alias for the Fibre Channel host.

Must match regular expression: `^[a-zA-Z0-9,\-_:]+$`

Must be at least `1` characters long

Must be at most `32` characters long

##

#### Wwpn

Default: null

World Wide Port Name for port A or `null` if not configured.

## Any of

Type: string
Must match regular expression: `^naa.[0-9a-fA-F]{16}$`
Type: null

##

#### Wwpn B

Default: null

World Wide Port Name for port B or `null` if not configured.

## Any of

Type: string
Must match regular expression: `^naa.[0-9a-fA-F]{16}$`
Type: null

##

#### Npiv

Type: integer Default: 0

Number of N_Port ID Virtualization (NPIV) virtual ports to create.

##

#### FCHostChangedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### FCHostEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

Unique identifier for the Fibre Channel host configuration.

##

#### Alias

Type: string

Human-readable alias for the Fibre Channel host.

Must match regular expression: `^[a-zA-Z0-9,\-_:]+$`

Must be at least `1` characters long

Must be at most `32` characters long

##

#### Wwpn

Default: null

World Wide Port Name for port A or `null` if not configured.

## Any of

Type: string
Must match regular expression: `^naa.[0-9a-fA-F]{16}$`
Type: null

##

#### Wwpn B

Default: null

World Wide Port Name for port B or `null` if not configured.

## Any of

Type: string
Must match regular expression: `^naa.[0-9a-fA-F]{16}$`
Type: null

##

#### Npiv

Type: integer Default: 0

Number of N_Port ID Virtualization (NPIV) virtual ports to create.

##

#### FCHostRemovedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

Required roles: SHARING_ISCSI_TARGET_READ